<?php

/*
  NoPassword - A Piwigo Plugin that disable password forms.
  Copyright (C) 2015 Philippe Troin <phil@fifi.org>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

class NoPassword_maintain extends PluginMaintain
{
  private $installed = false;

  function install($plugin_version, &$errors=array())
  {
    $this->installed = true;
  }

  function update($old_version, $new_version, &$errors=array())
  {
    // Update is same as install
    $this->install($new_version, $errors);
  }

  function activate($plugin_version, &$errors=array())
  {
    global $conf;

    if (! isset($conf['apache_authentication']) || !$conf['apache_authentication'])
      {
	$errors[] = 'You must set $conf[\'apache_authentication\'] to true before activating this plugin.';
	return;
      }
    if (!$this->installed)
      {
	$this->install($plugin_version, $errors);
      }
  }

  function deactivate()
  {
  }

  function uninstall()
  {
  }
}

?>
